diff --git a/framework/source/loadenv/loadenv.cxx b/framework/source/loadenv/loadenv.cxx
index f5f8e08a..7d383b2 100644
--- a/framework/source/loadenv/loadenv.cxx
+++ b/framework/source/loadenv/loadenv.cxx
@@ -19,7 +19,7 @@
 
 #include <loadenv/loadenv.hxx>
 
-#include <loadenv/targethelper.hxx>
+#include <loadenv/deliveryhelper.hxx>
 #include <framework/framelistanalyzer.hxx>
 
 #include <interaction/quietinteraction.hxx>
@@ -52,7 +52,7 @@
 #include <com/sun/star/frame/FrameLoaderFactory.hpp>
 #include <com/sun/star/frame/ContentHandlerFactory.hpp>
 #include <com/sun/star/frame/DispatchResultState.hpp>
-#include <com/sun/star/frame/FrameSearchFlag.hpp>
+#include <com/sun/star/frame/FrameSearchOption.hpp>
 #include <com/sun/star/frame/XDispatchProvider.hpp>
 #include <com/sun/star/lang/XComponent.hpp>
 #include <com/sun/star/lang/XServiceInfo.hpp>
@@ -128,7 +128,7 @@ class LoadEnvListener : public ::cppu::WeakImplHelper< css::frame::XLoadEventLis
 LoadEnv::LoadEnv(const css::uno::Reference< css::uno::XComponentContext >& xContext)
     throw(LoadEnvException, css::uno::RuntimeException)
     : m_xContext(xContext)
-    , m_nSearchFlags(0)
+    , m_nSearchOptions(0)
     , m_eFeature(E_NO_FEATURE)
     , m_eContentType(E_UNSUPPORTED_CONTENT)
     , m_bCloseFrameOnError(false)
@@ -144,14 +144,14 @@ LoadEnv::~LoadEnv()
 css::uno::Reference< css::lang::XComponent > LoadEnv::loadComponentFromURL(const css::uno::Reference< css::frame::XComponentLoader >& xLoader,
                                                                            const css::uno::Reference< css::uno::XComponentContext >& xContext,
                                                                            const OUString& sURL   ,
-                                                                           const OUString& sTarget,
-                                                                                 sal_Int32 nFlags ,
+                                                                           const OUString& sRecipient,
+                                                                                 sal_Int32 nOptions ,
                                                                            const css::uno::Sequence< css::beans::PropertyValue >& lArgs  )
     throw(css::lang::IllegalArgumentException,
           css::io::IOException               ,
           css::uno::RuntimeException         )
 {
-    SAL_WARN( "fwk.loadenv", "LoadEnv::loadComponentFromURL( sURL \"" << sURL << "\", sTarget \"" << sTarget << "\" )" );
+    SAL_WARN( "fwk.loadenv", "LoadEnv::loadComponentFromURL( sURL \"" << sURL << "\", sRecipient \"" << sRecipient << "\" )" );
 
     css::uno::Reference< css::lang::XComponent > xComponent;
 
@@ -162,12 +162,12 @@ css::uno::Reference< css::lang::XComponent > LoadEnv::loadComponentFromURL(const
         aEnv.initializeLoading(sURL,
                                lArgs,
                                css::uno::Reference< css::frame::XFrame >( xLoader, css::uno::UNO_QUERY ),
-                               sTarget,
-                               nFlags);
+                               sRecipient,
+                               nOptions);
         aEnv.startLoading();
         aEnv.waitWhileLoading(); // wait for ever
 
-        xComponent = aEnv.getTargetComponent();
+        xComponent = aEnv.getReceivingComponent();
     }
     catch(const LoadEnvException& ex)
     {
@@ -232,8 +232,8 @@ utl::MediaDescriptor addModelArgs(const uno::Sequence<beans::PropertyValue>& rDe
 }
 
 void LoadEnv::initializeLoading(const OUString& sURL, const uno::Sequence<beans::PropertyValue>& lMediaDescriptor,
-        const uno::Reference<frame::XFrame>& xBaseFrame, const OUString& sTarget,
-        sal_Int32 nSearchFlags, EFeature eFeature)
+        const uno::Reference<frame::XFrame>& xOriginFrame, const OUString& sRecipient,
+        sal_Int32 nSearchOptions, EFeature eFeature)
 {
     osl::MutexGuard g(m_mutex);
 
@@ -242,11 +242,11 @@ void LoadEnv::initializeLoading(const OUString& sURL, const uno::Sequence<beans:
         throw LoadEnvException(LoadEnvException::ID_STILL_RUNNING);
 
     // take over all new parameters.
-    m_xTargetFrame.clear();
-    m_xBaseFrame = xBaseFrame;
+    m_xRecipientFrame.clear();
+    m_xOriginFrame = xOriginFrame;
     m_lMediaDescriptor = addModelArgs(lMediaDescriptor);
-    m_sTarget = sTarget;
-    m_nSearchFlags = nSearchFlags;
+    m_sRecipient = sRecipient;
+    m_nSearchOptions = nSearchOptions;
     m_eFeature = eFeature;
     m_eContentType = E_UNSUPPORTED_CONTENT;
     m_bCloseFrameOnError = false;
@@ -434,22 +434,22 @@ bool LoadEnv::waitWhileLoading(sal_uInt32 nTimeout)
     return !m_xAsynchronousJob.is();
 }
 
-css::uno::Reference< css::lang::XComponent > LoadEnv::getTargetComponent() const
+css::uno::Reference< css::lang::XComponent > LoadEnv::getReceivingComponent() const
 {
     osl::MutexGuard g(m_mutex);
 
-    if (!m_xTargetFrame.is())
+    if ( !m_xRecipientFrame.is() )
         return css::uno::Reference< css::lang::XComponent >();
 
-    css::uno::Reference< css::frame::XController > xController = m_xTargetFrame->getController();
-    if (!xController.is())
-        return css::uno::Reference< css::lang::XComponent >(m_xTargetFrame->getComponentWindow(), css::uno::UNO_QUERY);
+    css::uno::Reference< css::frame::XController > xController = m_xRecipientFrame->getController();
+    if ( !xController.is() )
+        return css::uno::Reference< css::lang::XComponent >( m_xRecipientFrame->getComponentWindow(), css::uno::UNO_QUERY );
 
     css::uno::Reference< css::frame::XModel > xModel = xController->getModel();
-    if (!xModel.is())
-        return css::uno::Reference< css::lang::XComponent >(xController, css::uno::UNO_QUERY);
+    if ( !xModel.is() )
+        return css::uno::Reference< css::lang::XComponent >( xController, css::uno::UNO_QUERY );
 
-    return css::uno::Reference< css::lang::XComponent >(xModel, css::uno::UNO_QUERY);
+    return css::uno::Reference< css::lang::XComponent >( xModel, css::uno::UNO_QUERY );
 }
 
 void SAL_CALL LoadEnvListener::loadFinished(const css::uno::Reference< css::frame::XFrameLoader >&)
@@ -827,7 +827,7 @@ void LoadEnv::impl_detectTypeAndFilter()
     // check if the filter (if one exists) points to a template format filter.
     // Then we have to add the property "AsTemplate".
     // We need this information to decide afterwards if we can use a "recycle frame"
-    // for target "_default" or has to create a new one every time.
+    // for recipient "_default" or has to create a new one every time.
     // On the other side we have to suppress that, if this property already exists
     // and should trigger a special handling. Then the outside call of this method here,
     // has to know, what he is doing .-)
@@ -839,8 +839,8 @@ void LoadEnv::impl_detectTypeAndFilter()
         try
         {
             ::comphelper::SequenceAsHashMap lFilterProps(xFilterCont->getByName(sFilter));
-            sal_Int32 nFlags         = lFilterProps.getUnpackedValueOrDefault(FILTERPROP_FLAGS, (sal_Int32)0);
-                      bIsOwnTemplate = ((nFlags & FILTERFLAG_TEMPLATEPATH) == FILTERFLAG_TEMPLATEPATH);
+            sal_Int32 nOptions         = lFilterProps.getUnpackedValueOrDefault(FILTERPROP_FLAGS, (sal_Int32)0);
+                      bIsOwnTemplate = ((nOptions & FILTERFLAG_TEMPLATEPATH) == FILTERFLAG_TEMPLATEPATH);
         }
         catch(const css::container::NoSuchElementException&)
             {}
@@ -1003,41 +1003,41 @@ bool LoadEnv::impl_loadContent()
     // SAFE -> -----------------------------------
     osl::ClearableMutexGuard aWriteLock(m_mutex);
 
-    // search or create right target frame
-    OUString sTarget = m_sTarget;
-    if (TargetHelper::matchSpecialTarget(sTarget, TargetHelper::E_DEFAULT))
+    // search or create recipient frame
+    OUString sRecipient = m_sRecipient;
+    if ( DeliveryHelper::isSpecialRecipient(sRecipient, DeliveryHelper::E_DEFAULT) )
     {
-        m_xTargetFrame = impl_searchAlreadyLoaded();
-        if (m_xTargetFrame.is())
+        m_xRecipientFrame = impl_searchAlreadyLoaded();
+        if ( m_xRecipientFrame.is() )
         {
             impl_setResult(true);
             return true;
         }
-        m_xTargetFrame = impl_searchRecycleTarget();
+        m_xRecipientFrame = impl_searchRecycleRecipient();
     }
 
-    if (! m_xTargetFrame.is())
+    if ( ! m_xRecipientFrame.is() )
     {
         if (
-            (TargetHelper::matchSpecialTarget(sTarget, TargetHelper::E_BLANK  )) ||
-            (TargetHelper::matchSpecialTarget(sTarget, TargetHelper::E_DEFAULT))
+            (DeliveryHelper::isSpecialRecipient(sRecipient, DeliveryHelper::E_BLANK  )) ||
+            (DeliveryHelper::isSpecialRecipient(sRecipient, DeliveryHelper::E_DEFAULT))
            )
         {
             if (! impl_furtherDocsAllowed())
                 return false;
-            m_xTargetFrame       = m_xBaseFrame->findFrame(SPECIALTARGET_BLANK, 0);
-            m_bCloseFrameOnError = m_xTargetFrame.is();
+            m_xRecipientFrame = m_xOriginFrame->findFrame( SPECIAL_BLANK, 0 );
+            m_bCloseFrameOnError = m_xRecipientFrame.is();
         }
         else
         {
-            sal_Int32 nFlags = m_nSearchFlags & ~css::frame::FrameSearchFlag::CREATE;
-            m_xTargetFrame   = m_xBaseFrame->findFrame(sTarget, nFlags);
-            if (! m_xTargetFrame.is())
+            sal_Int32 nOptions = m_nSearchOptions & ~css::frame::FrameSearchOption::Create;
+            m_xRecipientFrame = m_xOriginFrame->findFrame( sRecipient, nOptions );
+            if ( ! m_xRecipientFrame.is() )
             {
                 if (! impl_furtherDocsAllowed())
                     return false;
-                m_xTargetFrame       = m_xBaseFrame->findFrame(SPECIALTARGET_BLANK, 0);
-                m_bCloseFrameOnError = m_xTargetFrame.is();
+                m_xRecipientFrame = m_xOriginFrame->findFrame( SPECIAL_BLANK, 0 );
+                m_bCloseFrameOnError = m_xRecipientFrame.is();
             }
         }
     }
@@ -1045,17 +1045,17 @@ bool LoadEnv::impl_loadContent()
     // If we couldn't find a valid frame or the frame has no container window
     // we have to throw an exception.
     if (
-        ( ! m_xTargetFrame.is()                       ) ||
-        ( ! m_xTargetFrame->getContainerWindow().is() )
+         ( ! m_xRecipientFrame.is()                       )  ||
+         ( ! m_xRecipientFrame->getContainerWindow().is() )
        )
-        throw LoadEnvException(LoadEnvException::ID_NO_TARGET_FOUND);
+        throw LoadEnvException( LoadEnvException::ID_NO_FRAME_FOUND );
 
-    css::uno::Reference< css::frame::XFrame > xTargetFrame = m_xTargetFrame;
+    css::uno::Reference< css::frame::XFrame > xRecipientFrame = m_xRecipientFrame;
 
     // Now we have a valid frame ... and type detection was already done.
     // We should apply the module dependent window position and size to the
     // frame window.
-    impl_applyPersistentWindowState(xTargetFrame->getContainerWindow());
+    impl_applyPersistentWindowState( xRecipientFrame->getContainerWindow() );
 
     // Don't forget to lock task for following load process. Otherwise it could die
     // during this operation runs by terminating the office or closing this task via api.
@@ -1067,10 +1067,10 @@ bool LoadEnv::impl_loadContent()
     // if it will be run out of scope.
 
     // Note further: ignore if this internal guard already contains a resource.
-    // Might impl_searchRecylcTarget() set it before. But in case this impl-method wasn't used
-    // and the target frame was new created ... this lock here must be set!
-    css::uno::Reference< css::document::XActionLockable > xTargetLock(xTargetFrame, css::uno::UNO_QUERY);
-    m_aTargetLock.setResource(xTargetLock);
+    // Might impl_searchRecylcRecipient() set it before. But in case this impl-method wasn't used
+    // and the recipient frame is just created ... this lock here is needed
+    css::uno::Reference< css::document::XActionLockable > xRecipientLock( xRecipientFrame, css::uno::UNO_QUERY );
+    m_aRecipientLock.setResource( xRecipientLock );
 
     // Add status indicator to descriptor. Loader can show an progresses then.
     // But don't do it, if loading should be hidden or preview is used ...!
@@ -1084,8 +1084,8 @@ bool LoadEnv::impl_loadContent()
 
     if (!bHidden && !bMinimized && !bPreview && !xProgress.is())
     {
-        // Note: it's an optional interface!
-        css::uno::Reference< css::task::XStatusIndicatorFactory > xProgressFactory(xTargetFrame, css::uno::UNO_QUERY);
+        // Note: it's an optional interface
+        css::uno::Reference< css::task::XStatusIndicatorFactory > xProgressFactory( xRecipientFrame, css::uno::UNO_QUERY );
         if (xProgressFactory.is())
         {
             xProgress = xProgressFactory->createStatusIndicator();
@@ -1112,13 +1112,13 @@ bool LoadEnv::impl_loadContent()
         // <- SAFE -----------------------------------
 
         css::uno::Reference< css::frame::XLoadEventListener > xListener(static_cast< css::frame::XLoadEventListener* >(pListener), css::uno::UNO_QUERY);
-        xAsyncLoader->load(xTargetFrame, sURL, lDescriptor, xListener);
+        xAsyncLoader->load( xRecipientFrame, sURL, lDescriptor, xListener );
 
         return true;
     }
     else if (xSyncLoader.is())
     {
-        bool bResult = xSyncLoader->load(lDescriptor, xTargetFrame);
+        bool bResult = xSyncLoader->load( lDescriptor, xRecipientFrame );
         // react for the result here, so the outside waiting
         // code can ask for it later.
         impl_setResult(bResult);
@@ -1217,7 +1217,7 @@ void LoadEnv::impl_jumpToMark(const css::uno::Reference< css::frame::XFrame >& x
     css::uno::Reference< css::util::XURLTransformer > xParser(css::util::URLTransformer::create(xContext));
     xParser->parseStrict(aCmd);
 
-    css::uno::Reference< css::frame::XDispatch > xDispatcher = xProvider->queryDispatch(aCmd, SPECIALTARGET_SELF, 0);
+    css::uno::Reference< css::frame::XDispatch > xDispatcher = xProvider->queryDispatch( aCmd, SPECIAL_SELF, 0 );
     if (! xDispatcher.is())
         return;
 
@@ -1234,7 +1234,7 @@ css::uno::Reference< css::frame::XFrame > LoadEnv::impl_searchAlreadyLoaded()
     // such search is allowed for special requests only ...
     // or better it's not allowed for some requests in general :-)
     if (
-        ( ! TargetHelper::matchSpecialTarget(m_sTarget, TargetHelper::E_DEFAULT)                                               ) ||
+        ( ! DeliveryHelper::isSpecialRecipient(m_sRecipient, DeliveryHelper::E_DEFAULT) ) ||
         m_lMediaDescriptor.getUnpackedValueOrDefault(utl::MediaDescriptor::PROP_ASTEMPLATE() , false) ||
 //      (m_lMediaDescriptor.getUnpackedValueOrDefault(utl::MediaDescriptor::PROP_HIDDEN()     , false) == sal_True) ||
         m_lMediaDescriptor.getUnpackedValueOrDefault(utl::MediaDescriptor::PROP_OPENNEWVIEW(), false)
@@ -1380,7 +1380,7 @@ bool LoadEnv::impl_isFrameAlreadyUsedForLoading(const css::uno::Reference< css::
     return xLock->isActionLocked();
 }
 
-css::uno::Reference< css::frame::XFrame > LoadEnv::impl_searchRecycleTarget()
+css::uno::Reference< css::frame::XFrame > LoadEnv::impl_searchRecycleRecipient()
     throw(LoadEnvException, css::uno::RuntimeException, std::exception)
 {
     // SAFE -> ..................................
@@ -1483,8 +1483,8 @@ css::uno::Reference< css::frame::XFrame > LoadEnv::impl_searchRecycleTarget()
     if (impl_isFrameAlreadyUsedForLoading(xTask))
         return css::uno::Reference< css::frame::XFrame >();
 
-    // OK - there is a valid target frame.
-    // But may be it contains already a document.
+    // OK - there is a valid recipient frame.
+    // But it may contain a document already.
     // Then we have to ask it, if it allows recycling of this frame .-)
     bool bReactivateOldControllerOnError = false;
     css::uno::Reference< css::frame::XController > xOldDoc = xTask->getController();
@@ -1499,7 +1499,7 @@ css::uno::Reference< css::frame::XFrame > LoadEnv::impl_searchRecycleTarget()
     osl::ClearableMutexGuard aWriteLock(m_mutex);
 
     css::uno::Reference< css::document::XActionLockable > xLock(xTask, css::uno::UNO_QUERY);
-    if (!m_aTargetLock.setResource(xLock))
+    if ( !m_aRecipientLock.setResource( xLock ) )
         return css::uno::Reference< css::frame::XFrame >();
 
     m_bReactivateControllerOnError = bReactivateOldControllerOnError;
@@ -1525,9 +1525,9 @@ void LoadEnv::impl_reactForLoadingState()
         // Bring the new loaded document to front (if allowed!).
         // Note: We show new created frames here only.
         // We don't hide already visible frames here ...
-        css::uno::Reference< css::awt::XWindow > xWindow      = m_xTargetFrame->getContainerWindow();
-        bool                                 bHidden      = m_lMediaDescriptor.getUnpackedValueOrDefault(utl::MediaDescriptor::PROP_HIDDEN(), false);
-        bool                                 bMinimized = m_lMediaDescriptor.getUnpackedValueOrDefault(utl::MediaDescriptor::PROP_MINIMIZED(), false);
+        css::uno::Reference< css::awt::XWindow > xWindow = m_xRecipientFrame->getContainerWindow();
+        bool bHidden = m_lMediaDescriptor.getUnpackedValueOrDefault(utl::MediaDescriptor::PROP_HIDDEN(), false);
+        bool bMinimized = m_lMediaDescriptor.getUnpackedValueOrDefault(utl::MediaDescriptor::PROP_MINIMIZED(), false);
 
         if (bMinimized)
         {
@@ -1546,7 +1546,7 @@ void LoadEnv::impl_reactForLoadingState()
 
         // Note: Only if an existing property "FrameName" is given by this media descriptor,
         // it should be used. Otherwise we should do nothing. May be the outside code has already
-        // set a frame name on the target!
+        // set a frame name on the recipient
         utl::MediaDescriptor::const_iterator pFrameName = m_lMediaDescriptor.find(utl::MediaDescriptor::PROP_FRAMENAME());
         if (pFrameName != m_lMediaDescriptor.end())
         {
@@ -1554,18 +1554,18 @@ void LoadEnv::impl_reactForLoadingState()
             pFrameName->second >>= sFrameName;
             // Check the name again. e.g. "_default" isn't allowed.
             // On the other side "_beamer" is a valid name :-)
-            if (TargetHelper::isValidNameForFrame(sFrameName))
-                m_xTargetFrame->setName(sFrameName);
+            if ( DeliveryHelper::isValidNameForFrame( sFrameName ) )
+                m_xRecipientFrame->setName( sFrameName );
         }
     }
     else if (m_bReactivateControllerOnError)
     {
-        // Try to reactivate the old document (if any exists!)
-        css::uno::Reference< css::frame::XController > xOldDoc = m_xTargetFrame->getController();
-        // clear does not depend from reactivation state of a might existing old document!
-        // We must make sure, that a might following getTargetComponent() call does not return
-        // the old document!
-        m_xTargetFrame.clear();
+        // Try to reactivate the old document (if any exists)
+        css::uno::Reference< css::frame::XController > xOldDoc = m_xRecipientFrame->getController();
+        // clear does not depend from reactivation state of a might existing old document
+        // make sure that a might following getReceivingComponent() does not return
+        // the old document
+        m_xRecipientFrame.clear();
         if (xOldDoc.is())
         {
             bool bReactivated = xOldDoc->suspend(false);
@@ -1577,8 +1577,8 @@ void LoadEnv::impl_reactForLoadingState()
     else if (m_bCloseFrameOnError)
     {
         // close empty frames
-        css::uno::Reference< css::util::XCloseable > xCloseable (m_xTargetFrame, css::uno::UNO_QUERY);
-        css::uno::Reference< css::lang::XComponent > xDisposable(m_xTargetFrame, css::uno::UNO_QUERY);
+        css::uno::Reference< css::util::XCloseable > xCloseable ( m_xRecipientFrame, css::uno::UNO_QUERY );
+        css::uno::Reference< css::lang::XComponent > xDisposable( m_xRecipientFrame, css::uno::UNO_QUERY );
 
         try
         {
@@ -1592,20 +1592,20 @@ void LoadEnv::impl_reactForLoadingState()
         {}
         catch(const css::lang::DisposedException&)
         {}
-        m_xTargetFrame.clear();
+        m_xRecipientFrame.clear();
     }
 
-    // This max force an implicit closing of our target frame ...
+    // This max force an implicit closing of recipient frame ...
     // e.g. in case close(sal_True) was called before and the frame
     // kill itself if our external use-lock is released here!
     // That's why we release this lock AFTER ALL OPERATIONS on this frame
     // are finished. The frame itself must handle then
     // this situation gracefully.
-    m_aTargetLock.freeResource();
+    m_aRecipientLock.freeResource();
 
     // Last but not least :-)
     // We have to clear the current media descriptor.
-    // Otherwise it hold a might existing stream open!
+    // Otherwise it may hold an existing stream open
     m_lMediaDescriptor.clear();
 
     css::uno::Any aRequest;
diff --git a/framework/source/recording/dispatchrecorder.cxx b/framework/source/recording/dispatchrecorder.cxx
index b4298ed..8f1d583 100644
--- a/framework/source/recording/dispatchrecorder.cxx
+++ b/framework/source/recording/dispatchrecorder.cxx
@@ -109,19 +109,21 @@ void SAL_CALL DispatchRecorder::startRecording( const css::uno::Reference< css::
 void SAL_CALL DispatchRecorder::recordDispatch( const css::util::URL& aURL,
                                                 const css::uno::Sequence< css::beans::PropertyValue >& lArguments ) throw( css::uno::RuntimeException, std::exception )
 {
-    OUString aTarget;
+    OUString aRecipient;
 
-    css::frame::DispatchStatement aStatement( aURL.Complete, aTarget, lArguments, 0, false );
+    css::frame::DispatchStatement aStatement( aURL.Complete, aRecipient, lArguments, 0, false );
     m_aStatements.push_back( aStatement );
 }
 
 void SAL_CALL  DispatchRecorder::recordDispatchAsComment( const css::util::URL& aURL,
                                                           const css::uno::Sequence< css::beans::PropertyValue >& lArguments ) throw( css::uno::RuntimeException, std::exception )
 {
-    OUString aTarget;
+    OUString aRecipient;
+
+    // true as last parameter specifies that this statement will be recorded as commented out
+    // see XDispatchRecorder::recordDispatchAsComment()
+    css::frame::DispatchStatement aStatement( aURL.Complete, aRecipient, lArguments, 0, true );
 
-    // last parameter must be set to true -> it's a comment
-    css::frame::DispatchStatement aStatement( aURL.Complete, aTarget, lArguments, 0, true );
     m_aStatements.push_back( aStatement );
 }
 
diff --git a/framework/source/services/autorecovery.cxx b/framework/source/services/autorecovery.cxx
index 932995f..0922e75 100644
--- a/framework/source/services/autorecovery.cxx
+++ b/framework/source/services/autorecovery.cxx
@@ -21,7 +21,6 @@
 
 #include <loadenv/loadenv.hxx>
 
-#include <loadenv/targethelper.hxx>
 #include <pattern/frame.hxx>
 
 #include <classes/resource.hrc>
@@ -215,8 +214,8 @@ public:
     enum EFailureSafeResult
     {
         E_COPIED,
-        E_ORIGINAL_FILE_MISSING,
-        E_WRONG_TARGET_PATH
+        E_ORIGINAL_FILE_IS_ABSENT,
+        E_RECIPIENT_PATH_DOES_NOT_EXIST
     };
 
     // TODO document me
@@ -902,9 +901,9 @@ private:
     void impl_flushALLConfigChanges();
 
     // TODO document me
-    AutoRecovery::EFailureSafeResult implts_copyFile(const OUString& sSource    ,
-                                                     const OUString& sTargetPath,
-                                                     const OUString& sTargetName);
+    AutoRecovery::EFailureSafeResult implts_copyFile( const OUString& sOrigin,
+                                                      const OUString& sPathOfCopy,
+                                                      const OUString& sNameOfCopy );
 
     /** @short  converts m_eJob into a job description, which
                 can be used to inform an outside listener
@@ -3435,25 +3434,25 @@ void AutoRecovery::implts_openOneDoc(const OUString&               sURL       ,
             )
         {
             // create a frame
-            Reference< XFrame > xTargetFrame = xDesktop->findFrame( SPECIALTARGET_BLANK, 0 );
-            aCleanup.push_back( xTargetFrame.get() );
+            Reference< XFrame > xRecipientFrame = xDesktop->findFrame( "_blank", 0 );
+            aCleanup.push_back( xRecipientFrame.get() );
 
             // create a view to the document
             Reference< XController2 > xController;
             if ( viewName->getLength() )
             {
-                xController.set( xModel->createViewController( *viewName, Sequence< css::beans::PropertyValue >(), xTargetFrame ), UNO_SET_THROW );
+                xController.set( xModel->createViewController( *viewName, Sequence< css::beans::PropertyValue >(), xRecipientFrame ), UNO_SET_THROW );
             }
             else
             {
-                xController.set( xModel->createDefaultViewController( xTargetFrame ), UNO_SET_THROW );
+                xController.set( xModel->createDefaultViewController( xRecipientFrame ), UNO_SET_THROW );
             }
 
             // introduce model/view/controller to each other
             xController->attachModel( xModel.get() );
             xModel->connectController( xController.get() );
-            xTargetFrame->setComponent( xController->getComponentWindow(), xController.get() );
-            xController->attachFrame( xTargetFrame );
+            xRecipientFrame->setComponent( xController->getComponentWindow(), xController.get() );
+            xController->attachFrame( xRecipientFrame );
             xModel->setCurrentController( xController.get() );
         }
 
@@ -3874,7 +3873,7 @@ void AutoRecovery::implts_backupWorkingEntry(const DispatchParams& aParams)
             continue;
 
         OUString sSourceURL;
-        // Prefer temp file. It contains the changes against the original document!
+        // Prefer temp file. It contains changes since the original document
         if (!rInfo.OldTempURL.isEmpty())
             sSourceURL = rInfo.OldTempURL;
         else if (!rInfo.NewTempURL.isEmpty())
@@ -3886,7 +3885,7 @@ void AutoRecovery::implts_backupWorkingEntry(const DispatchParams& aParams)
 
         INetURLObject aParser(sSourceURL);
         // AutoRecovery::EFailureSafeResult eResult =
-        implts_copyFile(sSourceURL, aParams.m_sSavePath, aParser.getName());
+        implts_copyFile( sSourceURL, aParams.m_sSavePath, aParser.getName() );
 
         // TODO: Check eResult and react for errors (InteractionHandler!?)
         // Currently we ignore it ...
@@ -3918,25 +3917,25 @@ void AutoRecovery::implts_cleanUpWorkingEntry(const DispatchParams& aParams)
     }
 }
 
-AutoRecovery::EFailureSafeResult AutoRecovery::implts_copyFile(const OUString& sSource    ,
-                                                               const OUString& sTargetPath,
-                                                               const OUString& sTargetName)
+AutoRecovery::EFailureSafeResult AutoRecovery::implts_copyFile( const OUString& sOrigin,
+                                                                const OUString& sPathOfCopy,
+                                                                const OUString& sNameOfCopy )
 {
     // create content for the parent folder and call transfer on that content with the source content
     // and the destination file name as parameters
 
     css::uno::Reference< css::ucb::XCommandEnvironment > xEnvironment;
 
-    ::ucbhelper::Content aSourceContent;
-    ::ucbhelper::Content aTargetContent;
+    ::ucbhelper::Content aContentFrom;
+    ::ucbhelper::Content aContentTo;
 
     try
     {
-        aTargetContent = ::ucbhelper::Content(sTargetPath, xEnvironment, m_xContext);
+        aContentTo = ::ucbhelper::Content( sPathOfCopy, xEnvironment, m_xContext );
     }
     catch(const css::uno::Exception&)
     {
-        return AutoRecovery::E_WRONG_TARGET_PATH;
+        return AutoRecovery::E_RECIPIENT_PATH_DOES_NOT_EXIST;
     }
 
     sal_Int32 nNameClash;
@@ -3944,14 +3943,14 @@ AutoRecovery::EFailureSafeResult AutoRecovery::implts_copyFile(const OUString& s
 
     try
     {
-        bool bSuccess = ::ucbhelper::Content::create(sSource, xEnvironment, m_xContext, aSourceContent);
-        if (!bSuccess)
-            return AutoRecovery::E_ORIGINAL_FILE_MISSING;
-        aTargetContent.transferContent(aSourceContent, ::ucbhelper::InsertOperation_COPY, sTargetName, nNameClash);
+        bool bSuccess = ::ucbhelper::Content::create( sOrigin, xEnvironment, m_xContext, aContentFrom );
+        if ( !bSuccess )
+            return AutoRecovery::E_ORIGINAL_FILE_IS_ABSENT;
+        aContentTo.transferContent( aContentFrom, ::ucbhelper::InsertOperation_COPY, sNameOfCopy, nNameClash );
     }
     catch(const css::uno::Exception&)
     {
-        return AutoRecovery::E_ORIGINAL_FILE_MISSING;
+        return AutoRecovery::E_ORIGINAL_FILE_IS_ABSENT;
     }
 
     return AutoRecovery::E_COPIED;
